optparse-applicative-0.18.1.0: Utilities and combinators for parsing command line options

Safe Haskell | Safe-Inferred
Language | Haskell98

Options.Applicative.BashCompletion

Description

You don't need to import this module to enable bash completion.

See the wiki for more information on bash completion.

Synopsis

- bashCompletionParser :: ParserInfo a -> ParserPrefs -> Parser CompletionResult
- bashCompletionScript :: String -> String -> String
- fishCompletionScript :: String -> String -> String
- zshCompletionScript :: String -> String -> String

# Documentation

bashCompletionParser :: ParserInfo a -> ParserPrefs -> Parser CompletionResult #

bashCompletionScript :: String -> String -> String #

Generated bash shell completion script

fishCompletionScript :: String -> String -> String #

Generated fish shell completion script

zshCompletionScript :: String -> String -> String #

Generated zsh shell completion script